Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TagValues.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TagValues.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TagValues.java	(revision 32788)
@@ -1,20 +1,3 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2;
 
@@ -29,60 +12,60 @@
     private String m_strTag = "";
     private String m_strPreferredValues = "";
-    
+
     private int m_nPos = 0;
     private boolean m_bPreferred = false;
     private String[] m_astrTagValues = null;
     private String[] m_astrTagValuesPreferred = null;
-    
+
     public TagValues() {
-    	clearAll();
+        clearAll();
     }
-    
+
     public void readBuildingTags(ServerParam param) {
-        if (param==null || param.getTag() == null || param.getTag().equals("")) {
-        	clearAll();
-        	return;
+        if (param == null || param.getTag() == null || param.getTag().equals("")) {
+            clearAll();
+            return;
         }
         if (param.getTag().equals(m_strTag) && param.getPreferredValues().equals(m_strPreferredValues)) {
-        	return;
+            return;
         }
         clearAll();
-        
+
         m_strTag = param.getTag();
         m_strPreferredValues = param.getPreferredValues();
-        
-    	// get values
+
+        // get values
         List<String> tagValues = new ArrayList<>();
         List<AutoCompletionListItem> values = Main.getLayerManager().getEditDataSet().getAutoCompletionManager().getValues(m_strTag);
-        for ( AutoCompletionListItem i : values ) {
-        	tagValues.add(i.getValue());
+        for (AutoCompletionListItem i : values) {
+            tagValues.add(i.getValue());
         }
-    	m_astrTagValues = (String[])tagValues.toArray(new String[tagValues.size()]);
-        
-    	// get preferred values
-    	if ( m_strPreferredValues.equals("") ) {
-    		m_astrTagValuesPreferred = new String[0];
-    	} else {
-    		String[] prefered = m_strPreferredValues.split(";");
-    		tagValues = new ArrayList<>();
-    		
-    		for (String str: prefered) {
-    			String temp = str.trim();
-    			if (getPos(temp, m_astrTagValues) >= 0 ) {
-    				tagValues.add(temp);
-    			}
-    		}
-    		m_astrTagValuesPreferred = (String[])tagValues.toArray(new String[tagValues.size()]);
-    		
-    		// set to the first preferred
-    		m_bPreferred = true;
-   			m_nPos = 0;
-    	}
+        m_astrTagValues = tagValues.toArray(new String[tagValues.size()]);
+
+        // get preferred values
+        if (m_strPreferredValues.equals("")) {
+            m_astrTagValuesPreferred = new String[0];
+        } else {
+            String[] prefered = m_strPreferredValues.split(";");
+            tagValues = new ArrayList<>();
+
+            for (String str: prefered) {
+                String temp = str.trim();
+                if (getPos(temp, m_astrTagValues) >= 0) {
+                    tagValues.add(temp);
+                }
+            }
+            m_astrTagValuesPreferred = tagValues.toArray(new String[tagValues.size()]);
+
+            // set to the first preferred
+            m_bPreferred = true;
+            m_nPos = 0;
+        }
     }
-    
+
     private void clearAll() {
         m_strTag = "";
         m_strPreferredValues = "";
-        
+
         m_nPos = 0;
         m_bPreferred = false;
@@ -90,105 +73,105 @@
         m_astrTagValuesPreferred = null;
     }
-    
+
     public String getTag() {
-    	if (m_strTag == null || m_strTag.equals("")) {
-    		return null;
-    	}
-    	return m_strTag;
+        if (m_strTag == null || m_strTag.equals("")) {
+            return null;
+        }
+        return m_strTag;
     }
-    
+
     public String getTagValue() {
-    	if ( m_bPreferred == false ) {
-    		if (m_astrTagValues != null && m_astrTagValues.length > m_nPos) {
-    			return m_astrTagValues[m_nPos];
-    		}
-    	} else {
-    		if (m_astrTagValuesPreferred != null && m_astrTagValuesPreferred.length > m_nPos) {
-    			return m_astrTagValuesPreferred[m_nPos];
-    		}
-    	}
-    	return null;
+        if (m_bPreferred == false) {
+            if (m_astrTagValues != null && m_astrTagValues.length > m_nPos) {
+                return m_astrTagValues[m_nPos];
+            }
+        } else {
+            if (m_astrTagValuesPreferred != null && m_astrTagValuesPreferred.length > m_nPos) {
+                return m_astrTagValuesPreferred[m_nPos];
+            }
+        }
+        return null;
     }
-    
-    private int getPos( String value, String[] values) {
-    	if (value != null && values != null ) {
-    		for ( int i = 0; i<values.length ; i++ ) {
-    			if ( value.equals(values[i]) ) {
-    				return i;
-    			}
-    		}
-    	}
-    	return -1;
+
+    private int getPos(String value, String[] values) {
+        if (value != null && values != null) {
+            for (int i = 0; i < values.length; i++) {
+                if (value.equals(values[i])) {
+                    return i;
+                }
+            }
+        }
+        return -1;
     }
-    
+
     public void left() {
-    	if (m_astrTagValues == null || m_astrTagValues.length == 0) {
-    		return;
-    	}
-    	if (m_bPreferred == false) {
-    		if (m_astrTagValuesPreferred == null || m_astrTagValuesPreferred.length == 0) {
-    			return;
-    		}
-    		m_bPreferred = true;
-    		m_nPos = getPos( m_astrTagValues[m_nPos], m_astrTagValuesPreferred);
-    		if ( m_nPos < 0 ) {
-    			m_nPos = 0;
-        		return;
-    		}
-    	}
-		m_nPos--;
-    	if (m_nPos < 0) m_nPos = m_astrTagValuesPreferred.length-1;
+        if (m_astrTagValues == null || m_astrTagValues.length == 0) {
+            return;
+        }
+        if (m_bPreferred == false) {
+            if (m_astrTagValuesPreferred == null || m_astrTagValuesPreferred.length == 0) {
+                return;
+            }
+            m_bPreferred = true;
+            m_nPos = getPos(m_astrTagValues[m_nPos], m_astrTagValuesPreferred);
+            if (m_nPos < 0) {
+                m_nPos = 0;
+                return;
+            }
+        }
+        m_nPos--;
+        if (m_nPos < 0) m_nPos = m_astrTagValuesPreferred.length-1;
     }
-    
+
     public void right() {
-    	if (m_astrTagValues == null || m_astrTagValues.length == 0) {
-    		return;
-    	}
-    	if (m_bPreferred == false) {
-    		if (m_astrTagValuesPreferred == null || m_astrTagValuesPreferred.length == 0) {
-    			return;
-    		}
-    		m_bPreferred = true;
-    		m_nPos = getPos( m_astrTagValues[m_nPos], m_astrTagValuesPreferred);
-    		if ( m_nPos < 0 ) {
-    			m_nPos = 0;
-        		return;
-    		}
-    	}
-		m_nPos++;
-    	if (m_nPos >= m_astrTagValuesPreferred.length) m_nPos = 0;
+        if (m_astrTagValues == null || m_astrTagValues.length == 0) {
+            return;
+        }
+        if (m_bPreferred == false) {
+            if (m_astrTagValuesPreferred == null || m_astrTagValuesPreferred.length == 0) {
+                return;
+            }
+            m_bPreferred = true;
+            m_nPos = getPos(m_astrTagValues[m_nPos], m_astrTagValuesPreferred);
+            if (m_nPos < 0) {
+                m_nPos = 0;
+                return;
+            }
+        }
+        m_nPos++;
+        if (m_nPos >= m_astrTagValuesPreferred.length) m_nPos = 0;
     }
-    
+
     public void up() {
-    	if (m_astrTagValues == null || m_astrTagValues.length == 0) {
-    		return;
-    	}
-    	if (m_bPreferred == true) {
-    		m_bPreferred = false;
-    		m_nPos = getPos( m_astrTagValuesPreferred[m_nPos], m_astrTagValues);
-    		if ( m_nPos < 0 ) {
-    			m_nPos = 0;
-        		return;
-    		}
-    	}
-    	m_nPos--;
-    	if (m_nPos < 0) m_nPos = m_astrTagValues.length-1;
+        if (m_astrTagValues == null || m_astrTagValues.length == 0) {
+            return;
+        }
+        if (m_bPreferred == true) {
+            m_bPreferred = false;
+            m_nPos = getPos(m_astrTagValuesPreferred[m_nPos], m_astrTagValues);
+            if (m_nPos < 0) {
+                m_nPos = 0;
+                return;
+            }
+        }
+        m_nPos--;
+        if (m_nPos < 0) m_nPos = m_astrTagValues.length-1;
     }
-    
+
     public void down() {
-    	if (m_astrTagValues == null || m_astrTagValues.length == 0) {
-    		return;
-    	}
-    	if (m_bPreferred == true) {
-    		m_bPreferred = false;
-    		m_nPos = getPos( m_astrTagValuesPreferred[m_nPos], m_astrTagValues);
-    		if ( m_nPos < 0 ) {
-    			m_nPos = 0;
-        		return;
-    		}
-    	}
-		m_nPos++;
-    	if (m_nPos >= m_astrTagValues.length) m_nPos = 0;
+        if (m_astrTagValues == null || m_astrTagValues.length == 0) {
+            return;
+        }
+        if (m_bPreferred == true) {
+            m_bPreferred = false;
+            m_nPos = getPos(m_astrTagValuesPreferred[m_nPos], m_astrTagValues);
+            if (m_nPos < 0) {
+                m_nPos = 0;
+                return;
+            }
+        }
+        m_nPos++;
+        if (m_nPos >= m_astrTagValues.length) m_nPos = 0;
     }
-    
+
 }
Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerAction.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerAction.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/TracerAction.java	(revision 32788)
@@ -1,20 +1,3 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2;
 
@@ -62,81 +45,78 @@
     private static final long serialVersionUID = 1L;
     private static boolean s_bServerVersionOK = false;
-    
+
     protected boolean m_bCancel;
-    private boolean m_bCtrl;	// if pressed no tag is added + changes and connection are made to ways without tag
-    private boolean m_bAlt;		// 
-    private boolean m_bShift;	// if pressed the new way will be add to the current selected
+    private boolean m_bCtrl;    // if pressed no tag is added + changes and connection are made to ways without tag
+    private boolean m_bAlt;     //
+    private boolean m_bShift;   // if pressed the new way will be add to the current selected
     private boolean m_bEnter = false;
-    
+
     private TagValues m_oTagValues = new TagValues();
-    
+
     TracerPlugin m_oPlugin;
-    
-    public TracerAction(MapFrame mapFrame) {
-        super(tr("Tracer2"), "tracer2-sml", tr("Tracer2."), Shortcut.registerShortcut("tools:tracer2", tr("Tool: {0}", tr("Tracer2")), KeyEvent.VK_T, Shortcut.DIRECT), mapFrame, getCursor());
-    }
-    
+
+    TracerAction(MapFrame mapFrame) {
+        super(tr("Tracer2"), "tracer2-sml", tr("Tracer2."),
+                Shortcut.registerShortcut("tools:tracer2", tr("Tool: {0}", tr("Tracer2")), KeyEvent.VK_T, Shortcut.DIRECT),
+                mapFrame, getCursor());
+    }
+
     @Override
     public void keyPressed(KeyEvent e) {
-    	//System.out.println("keyPressed: key:" + e.getKeyChar() + " code" + e.getKeyCode() + " Loc" + e.getKeyLocation()+ " ID" + KeyEvent.getKeyText(e.getKeyCode()));
-        
-    	Collection<OsmPrimitive> selection = getLayerManager().getEditDataSet().getSelected();
-    	List<Command> commands = new ArrayList<>();
-    	
-    	if ( checkActiveServerParam() == false ) return;
-    	
-    	switch (e.getKeyCode()) {
-    	case 37: // left
-    		m_oTagValues.left();
-    		break;
-    	case 38: // up
-    		m_oTagValues.up();
-    		break;
-    	case 39: // right
-    		m_oTagValues.right();
-    		break;
-    	case 40: // down
-    		m_oTagValues.down();
-    		break;
-    	default:
-    		return;
-    	}
-    	
-        if (selection.isEmpty())
-        {
+        Collection<OsmPrimitive> selection = getLayerManager().getEditDataSet().getSelected();
+        List<Command> commands = new ArrayList<>();
+
+        if (checkActiveServerParam() == false) return;
+
+        switch (e.getKeyCode()) {
+        case 37: // left
+            m_oTagValues.left();
+            break;
+        case 38: // up
+            m_oTagValues.up();
+            break;
+        case 39: // right
+            m_oTagValues.right();
+            break;
+        case 40: // down
+            m_oTagValues.down();
+            break;
+        default:
             return;
         }
-        
+
+        if (selection.isEmpty()) {
+            return;
+        }
+
         String strTag = m_oTagValues.getTag();
         String strTagValue = m_oTagValues.getTagValue();
-        
-        if ( strTag != null && strTagValue != null ) {
-	    	commands.add(new ChangePropertyCommand(selection, strTag, strTagValue));
-	    	
-	    	if (!commands.isEmpty()) {
-	    		Main.main.undoRedo.add( new SequenceCommand( tr("Change tag {0} to {1}", strTag, strTagValue), commands ));
-	        }
-        }
-    }
-    
-    @Override
-    public void keyReleased ( KeyEvent e ) {
-    	//System.out.println("keyReleased: key:" + e.getKeyChar() + " code" + e.getKeyCode() + " Loc" + e.getKeyLocation()+ " chra" + KeyEvent.getKeyText(e.getKeyCode()));
-    }
-    
-    @Override
-    public void keyTyped ( KeyEvent e ) {
-    	//System.out.println("keyTyped: key:" + e.getKeyChar() + " code" + e.getKeyCode() + " Loc" + e.getKeyLocation()+ " ID" + KeyEvent.getKeyText(e.getKeyCode()));
-    }
-    
+
+        if (strTag != null && strTagValue != null) {
+            commands.add(new ChangePropertyCommand(selection, strTag, strTagValue));
+
+            if (!commands.isEmpty()) {
+                Main.main.undoRedo.add(new SequenceCommand(tr("Change tag {0} to {1}", strTag, strTagValue), commands));
+            }
+        }
+    }
+
+    @Override
+    public void keyReleased(KeyEvent e) {
+    }
+
+    @Override
+    public void keyTyped(KeyEvent e) {
+    }
+
     @Override
     public void enterMode() {
-    	m_bEnter = true;
-    	
-    	// is not working hear
-    	// because if JOSM exit it is called too
-    	//checkActiveServerParam();
-    	
-    	if (!isEnabled()) {
+        m_bEnter = true;
+
+        // is not working hear
+        // because if JOSM exit it is called too
+        //checkActiveServerParam();
+
+        if (!isEnabled()) {
             return;
         }
@@ -146,18 +126,18 @@
         Main.map.mapView.addKeyListener(this);
     }
-    
+
     @Override
     public void exitMode() {
-    	m_bEnter = false;
-    	
+        m_bEnter = false;
+
         super.exitMode();
         Main.map.mapView.removeMouseListener(this);
         Main.map.mapView.removeKeyListener(this);
     }
-    
+
     private static Cursor getCursor() {
         return ImageProvider.getCursor("crosshair", "tracer2-sml");
     }
-    
+
     protected void traceAsync(Point clickPoint) {
         m_bCancel = false;
@@ -166,5 +146,5 @@
          */
         final LatLon pos = Main.map.mapView.getLatLon(clickPoint.x, clickPoint.y);
-        
+
         try {
             PleaseWaitRunnable tracerTask = new PleaseWaitRunnable(tr("Tracing")) {
@@ -173,9 +153,9 @@
                     traceSync(pos, progressMonitor.createSubTaskMonitor(ProgressMonitor.ALL_TICKS, false));
                 }
-                
+
                 @Override
                 protected void finish() {
                 }
-                
+
                 @Override
                 protected void cancel() {
@@ -189,126 +169,126 @@
         }
     }
-    
+
     private void tagBuilding(Way way) {
         String strTag = m_oTagValues.getTag();
         String strTagValue = m_oTagValues.getTagValue();
-        
-        if ( strTag != null && strTagValue != null && !m_bCtrl) {
-        	way.put(strTag, strTagValue);
-        }
-    }
-    
+
+        if (strTag != null && strTagValue != null && !m_bCtrl) {
+            way.put(strTag, strTagValue);
+        }
+    }
+
     private boolean checkServerVersion() {
-    	int nMajor = 1;
-    	int nMinor = 1;
-    	
-    	if (s_bServerVersionOK == false) {
-            GetVersion  oGetVersion = new GetVersion();
+        int nMajor = 1;
+        int nMinor = 1;
+
+        if (s_bServerVersionOK == false) {
+            GetVersion oGetVersion = new GetVersion();
             oGetVersion.start();
-            
+
             int nRetray = 500; // 5 seconds
-            	
-            while(oGetVersion.isAlive() && nRetray > 0) {
-	            try {
-	            	Thread.sleep(10);
-	            } catch (Exception e) {
-	            	break;
-	            }
-	            nRetray--;
-	        }
-            
+
+            while (oGetVersion.isAlive() && nRetray > 0) {
+                try {
+                    Thread.sleep(10);
+                } catch (Exception e) {
+                    break;
+                }
+                nRetray--;
+            }
+
             if (oGetVersion.m_nVersionMajor < 0 || oGetVersion.m_nVersionMinor < 0) {
-            	return false;
+                return false;
             }
             if (oGetVersion.m_nVersionMajor != nMajor) {
-                JOptionPane.showMessageDialog(Main.parent, tr("The Tracer2Server version isn''t compatible with this plugin. Please download version {0} from\n{1}.", nMajor + ".x",
-                		"http://sourceforge.net/projects/tracer2server/"), tr("Error"),  JOptionPane.ERROR_MESSAGE);
+                JOptionPane.showMessageDialog(Main.parent,
+                        tr("The Tracer2Server version isn''t compatible with this plugin. Please download version {0} from\n{1}.", nMajor + ".x",
+                                "http://sourceforge.net/projects/tracer2server/"), tr("Error"), JOptionPane.ERROR_MESSAGE);
                 return false;
             }
             if (oGetVersion.m_nVersionMinor < nMinor) {
-                JOptionPane.showMessageDialog(Main.parent, tr("New version of Tracer2Server is available. For best results please upgrade to version {0}.",nMajor + "." + nMinor ), tr("Information"),  JOptionPane.INFORMATION_MESSAGE);
+                JOptionPane.showMessageDialog(Main.parent,
+                        tr("New version of Tracer2Server is available. For best results please upgrade to version {0}.", nMajor + "." + nMinor),
+                        tr("Information"), JOptionPane.INFORMATION_MESSAGE);
             }
             s_bServerVersionOK = true;
-    	}
-    	return true;
-    }
-    
+        }
+        return true;
+    }
+
     private boolean checkActiveServerParam() {
-    	if (checkServerVersion() == false) {
-    		return false;
-    	}
-    	if ( m_bEnter == true || TracerPlugin.s_oPlugin.m_oParamList.getActivParam() == null ) {
-    		
-    		ServerParamList listParam = TracerPlugin.s_oPlugin.m_oParamList;
-    		List<ServerParam> listEnableParam = listParam.getEnableParamList();
-    		
+        if (checkServerVersion() == false) {
+            return false;
+        }
+        if (m_bEnter == true || TracerPlugin.s_oPlugin.m_oParamList.getActivParam() == null) {
+
+            ServerParamList listParam = TracerPlugin.s_oPlugin.m_oParamList;
+            List<ServerParam> listEnableParam = listParam.getEnableParamList();
+
             if (listEnableParam == null || listEnableParam.size() == 0) {
-            	listParam.setActivParam(null);
-                JOptionPane.showMessageDialog(Main.parent, tr("No set of parameter is active!"), tr("Error"),  JOptionPane.ERROR_MESSAGE);
-            	return false;
-            }
-            if ( listEnableParam.size() == 1 ) {
-            	ServerParam param = listEnableParam.get(0);
-            	listParam.setActivParam(param);
-            	m_oTagValues.readBuildingTags(param);
-            	return true;
-            }
-            
+                listParam.setActivParam(null);
+                JOptionPane.showMessageDialog(Main.parent, tr("No set of parameter is active!"), tr("Error"), JOptionPane.ERROR_MESSAGE);
+                return false;
+            }
+            if (listEnableParam.size() == 1) {
+                ServerParam param = listEnableParam.get(0);
+                listParam.setActivParam(param);
+                m_oTagValues.readBuildingTags(param);
+                return true;
+            }
+
             ServerParamSelectDialog dialog = new ServerParamSelectDialog(listEnableParam, listParam.getActivParam());
-            
+
             if (dialog.getShow()) {
                 JOptionPane pane = new JOptionPane(dialog, JOptionPane.PLAIN_MESSAGE, JOptionPane.OK_CANCEL_OPTION);
                 JDialog dlg = pane.createDialog(Main.parent, tr("Tracer2") + " - " + tr("Select parameter"));
-            	dlg.setVisible(true);
-            	Object obj = pane.getValue();
+                dlg.setVisible(true);
+                Object obj = pane.getValue();
                 dlg.dispose();
-            	if(obj != null && ((Integer)obj) == JOptionPane.OK_OPTION) {
-            		TracerPlugin.s_oPlugin.m_oParamList.setActivParam(dialog.getSelectedParam());
-            	} else {
-            		return false;
-            	}
-            }
-       	}
-    	ServerParam param = TracerPlugin.s_oPlugin.m_oParamList.getActivParam();
-    	if ( param == null ) {
-    		return false;
-    	}
-    	m_bEnter = false;
-    	m_oTagValues.readBuildingTags(param);
-    	return true;
-    }
-    
+                if (obj != null && ((Integer) obj) == JOptionPane.OK_OPTION) {
+                    TracerPlugin.s_oPlugin.m_oParamList.setActivParam(dialog.getSelectedParam());
+                } else {
+                    return false;
+                }
+            }
+        }
+        ServerParam param = TracerPlugin.s_oPlugin.m_oParamList.getActivParam();
+        if (param == null) {
+            return false;
+        }
+        m_bEnter = false;
+        m_oTagValues.readBuildingTags(param);
+        return true;
+    }
+
     private void traceSync(LatLon pos, ProgressMonitor progressMonitor) {
         Collection<Command> commands = new LinkedList<>();
-        
+
         progressMonitor.beginTask(null, 3);
         try {
             ArrayList<LatLon> coordList;
-            
-            if ( checkActiveServerParam() == false ) return;
-            
+
+            if (checkActiveServerParam() == false) return;
+
             ServerParam param = TracerPlugin.s_oPlugin.m_oParamList.getActivParam();
-            GetTrace  oTraceSimple = new GetTrace(pos, param);
+            GetTrace oTraceSimple = new GetTrace(pos, param);
             oTraceSimple.start();
-            try
-            {
-            	while(oTraceSimple.isAlive())
-	            {
-	            	Thread.sleep(50);
-	            	if (m_bCancel == true)
-	            	{
-	            		oTraceSimple.interrupt();
-	            		break;
-	            	}
-	            }
-	            coordList = oTraceSimple.m_listLatLon;
-        	} catch (Exception e) {
-            	coordList = new ArrayList<>();
-            }
-           
+            try {
+                while (oTraceSimple.isAlive()) {
+                    Thread.sleep(50);
+                    if (m_bCancel == true) {
+                        oTraceSimple.interrupt();
+                        break;
+                    }
+                }
+                coordList = oTraceSimple.m_listLatLon;
+            } catch (Exception e) {
+                coordList = new ArrayList<>();
+            }
+
             if (m_bCancel == true || coordList.size() == 0) {
                 return;
             }
-            
+
             // make nodes a way
             Way way = new Way();
@@ -323,19 +303,19 @@
             }
             way.addNode(firstNode);
-            
+
             tagBuilding(way);
-            
+
             // connect to other buildings
             commands.add(ConnectWays.connect(way, pos, param, m_bCtrl, m_bAlt));
-            
+
             if (!commands.isEmpty()) {
-            	String strCommand;
-            	if (ConnectWays.s_bAddNewWay == true) {
-            		strCommand = tr("Tracer2: add a way with {0} points", coordList.size());
-            	} else {
-            		strCommand = tr("Tracer2: modify way to {0} points", coordList.size());
-            	}
-            	Main.main.undoRedo.add(new SequenceCommand(strCommand, commands));
-            	
+                String strCommand;
+                if (ConnectWays.s_bAddNewWay == true) {
+                    strCommand = tr("Tracer2: add a way with {0} points", coordList.size());
+                } else {
+                    strCommand = tr("Tracer2: modify way to {0} points", coordList.size());
+                }
+                Main.main.undoRedo.add(new SequenceCommand(strCommand, commands));
+
                 if (m_bShift) {
                     getLayerManager().getEditDataSet().addSelected(ConnectWays.s_oWay);
@@ -346,26 +326,26 @@
                 System.out.println("Failed");
             }
-            
+
         } finally {
             progressMonitor.finishTask();
         }
     }
-    
+
     public void cancel() {
         m_bCancel = true;
     }
-    
+
     @Override
     public void mouseClicked(MouseEvent e) {
     }
-    
+
     @Override
     public void mouseEntered(MouseEvent e) {
     }
-    
+
     @Override
     public void mouseExited(MouseEvent e) {
     }
-    
+
     @Override
     public void mousePressed(MouseEvent e) {
@@ -379,5 +359,5 @@
         }
     }
-    
+
     @Override
     protected void updateKeyModifiers(MouseEvent e) {
@@ -386,9 +366,9 @@
         m_bShift = (e.getModifiers() & ActionEvent.SHIFT_MASK) != 0;
     }
-    
+
     @Override
     public void mouseReleased(MouseEvent e) {
     }
-    
+
 }
 
